<template>
  <div v-if="activities">
    <el-row :gutter="10" class="commodity__box">
      <el-col :span="12">
        <div class="inline-content">
          <svg-icon icon-class="plant-white" />
        </div>
        <p class="inline-content" :class="show ? '--green':''">Fase {{ this.title }}</p>
      </el-col>
      <el-col :span="12">
        <h4 v-on:click="switchShow" :class="show ? 'drop-down':'drop-up'">Aktivitas</h4>
      </el-col>
    </el-row>
    <el-table
      :data="activities"
      v-if="show"
      fit
      class="commodity__box"
      highlight-current-row
      style="width: calc(100% + 26px);max-width: calc(100% + 26px);">
      <el-table-column label="Tanggal" style="width: 25%;" align="left">
        <template slot-scope="scope">
          <span>{{ toDate(scope.row.created_at) }}</span>
        </template>
      </el-table-column>
      <el-table-column :label="'Fase ' + this.title" style="width: 25%;" align="left">
        <template slot-scope="scope">
          <span>{{ scope.row.planting_phase.planting_phase_name }}</span>
        </template>
      </el-table-column>
      <el-table-column label="Aktifitas" style="width: 25%;" align="left">
        <template slot-scope="scope">
          <span>{{ scope.row.activity_name.activity_name }}</span>
        </template>
      </el-table-column>
      <el-table-column label="Biaya" align="left" style="width: 25%;">
        <template slot-scope="scope">
          <span>{{ scope.row.cost |  toCurrency }}</span>
        </template>
      </el-table-column>
    </el-table>
  </div>
</template>

<script>
import moment from 'moment'
export default {
  name: 'DetailFieldActivities',
  props: ['activities', 'status'],
  data() {
    return {
      show: false,
      title: this.status ? 'Pemanenan' : 'Pemeliharaan'
    }
  },
  methods: {
    toDate(value) {
      return moment(String(value)).format('DD MMMM YYYY')
    },
    switchShow() {
      this.show = !this.show;
    }
  }
}
</script>

<style rel="stylesheet/scss" lang="scss" scoped>
  @import '@/styles/variables.scss';
  @import '@/styles/mixin.scss';
  h4 {
    @include ritx-bold;
    font-size: 16px;
    text-align: right;
    color: $ritx-dark-green;
    cursor: pointer;

    &.drop-down::after {
      content: ' »';
      display: inline-block;
      margin-left: 6px;
      font-size: 18px;
      -webkit-transform: rotate(270deg);
      -moz-transform: rotate(270deg);
      -o-transform: rotate(270deg);
      -ms-transform: rotate(270deg);
      transform: rotate(270deg);
    }
    &.drop-up::after {
      content: ' »';
      margin-left: 6px;
      font-size: 18px;
      display: inline-block;
      -webkit-transform: rotate(90deg);
      -moz-transform: rotate(90deg);
      -o-transform: rotate(90deg);
      -ms-transform: rotate(90deg);
      transform: rotate(90deg);
    }
  }

  .commodity {
    &__box {
      box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.18);
      background-color: #ffffff;
      border-radius: 4px;
      margin: 0 -13px 2px -13px!important;
      padding: 10px 10px 0px 10px;
    }
  }
  .inline-content {
    display: inline-block;

    &.\-\-green {
      color: $ritx-dark-green;
      font-weight: bold;
    }
  }
  .svg-icon {
    width: 24px;
    height: 24px;
    margin-right: 10px;
  }
  </style>
